Freeciv-3.2: packet_edit_game Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_edit_game Struct Reference

`#include <packets_gen.h>`

## Data Fields

bool | scenario
char | scenario_name [256]
char | scenario_authors [MAX_LEN_PACKET/3]
bool | scenario_random
bool | scenario_players
bool | startpos_nations
bool | prevent_new_cities
bool | lake_flooding
bool | ruleset_locked

## Detailed Description

Definition at line 1836 of file packets_gen.h.

## Field Documentation

## ◆ lake_flooding

bool packet_edit_game::lake_flooding

Definition at line 1844 of file packets_gen.h.

Referenced by handle_edit_game(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_game_100().

## ◆ prevent_new_cities

bool packet_edit_game::prevent_new_cities

Definition at line 1843 of file packets_gen.h.

Referenced by handle_edit_game(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_game_100().

## ◆ ruleset_locked

bool packet_edit_game::ruleset_locked

Definition at line 1845 of file packets_gen.h.

Referenced by handle_edit_game(), objbind_pack_modified_value(), and send_packet_edit_game_100().

## ◆ scenario

bool packet_edit_game::scenario

Definition at line 1837 of file packets_gen.h.

Referenced by handle_edit_game(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_game_100().

## ◆ scenario_authors

char packet_edit_game::scenario_authors[MAX_LEN_PACKET/3]

Definition at line 1839 of file packets_gen.h.

Referenced by handle_edit_game(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_game_100().

## ◆ scenario_name

char packet_edit_game::scenario_name[256]

Definition at line 1838 of file packets_gen.h.

Referenced by handle_edit_game(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_game_100().

## ◆ scenario_players

bool packet_edit_game::scenario_players

Definition at line 1841 of file packets_gen.h.

Referenced by handle_edit_game(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_game_100().

## ◆ scenario_random

bool packet_edit_game::scenario_random

Definition at line 1840 of file packets_gen.h.

Referenced by handle_edit_game(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_game_100().

## ◆ startpos_nations

bool packet_edit_game::startpos_nations

Definition at line 1842 of file packets_gen.h.

Referenced by handle_edit_game(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_game_100().